# dhcpd.conf
#
# Sample configuration file for ISC dhcpd
#

# option definitions common to all supported networks...
option domain-name "tilb.sze.hu";
option domain-name-servers 193.224.130.161, 193.224.128.1;

option subnet-mask 255.255.255.0;
default-lease-time 600;
max-lease-time 7200;

subnet 193.224.130.160 netmask 255.255.255.224 {
}

# The other subnet that shares this physical network
subnet 204.254.239.32 netmask 255.255.255.224 {
  option broadcast-address 204.254.239.31;
  option routers snarg.fugue.com;
}
subnet 192.168.0.0 netmask 255.255.255.0 {
  range 192.168.0.100 192.168.0.200;
  option domain-name-servers 193.224.130.161, 193.224.128.1;
  option domain-name "tilb.sze.hu";
  option routers 192.168.0.1;
  option subnet-mask 255.255.255.0;
  option broadcast-address 192.168.0.255;
  default-lease-time 600;
  max-lease-time 7200;
}

# Hosts which require special configuration options can be listed in
# host statements.   If no address is specified, the address will be
# allocated dynamically (if possible), but the host-specific information
# will still come from the host declaration.

# Fixed IP addresses can also be specified for hosts.   These addresses
# should not also be listed as being available for dynamic assignment.
# Hosts for which fixed IP addresses have been specified can boot using
# BOOTP or DHCP.   Hosts for which no fixed address is specified can only
# be booted with DHCP, unless there is an address range on the subnet
# to which a BOOTP client is connected which has the dynamic-bootp flag
# set.

# If a DHCP or BOOTP client is mobile and might be connected to a variety
# of networks, more than one fixed address for that host can be specified.
# Hosts can have fixed addresses on some networks, but receive dynamically
# allocated address on other subnets; in order to support this, a host
# declaration for that client must be given which does not have a fixed
# address.   If a client should get different parameters depending on
# what subnet it boots on, host declarations for each such network should
# be given.   Finally, if a domain name is given for a host's fixed address
# and that domain name evaluates to more than one address, the address
# corresponding to the network to which the client is attached, if any,
# will be assigned.
host amanda {
  hardware ethernet 00:06:25:0B:03:36;
  fixed-address 192.168.0.2;
}
host wlan_g1 {
  hardware ethernet 00:06:25:40:C1:57;
  fixed-address 192.168.0.3;
}
host wlan_g2 {
  hardware ethernet 00:06:25:40:C1:5C;
  fixed-address 192.168.0.4;
}

